import javax.swing.JOptionPane;

/*****************************************
 *  Lit un nombre entier au clavier
 *  
 *  entree :
 *   - message : message d'invite
 *
 *  sortie :
 *   - nombre de type int
 *****************************************/
int lire(String message) {
  String str = JOptionPane.showInputDialog(null, message);

  return Integer.parseInt(str) ;
}

/**************************************
*  Organise le jeu qui consiste à deviner un nombre
*
*  entrée :
*    - n : nombre à deviner
* 
*  sortie :
*    - aucune
***************************************/
void deviner() {
  int rep;
  int n = int(random(101));
  
  rep = n - 1;
  
  while (rep != n) {
    rep = lire("Proposer un nombre entier");
    
    if (rep < n)  
      println("trop petit");
    else
      if (rep > n)
        println("trop grand");
  }
  
  println("Gagné !");
}

/********************************************/
void setup() {
  deviner();
}


