// nombres courants pseudo-aléatoires
int n0 ;
int n1 ;

// congruence
int M = 1000;

/********************************
 * générateur pseudo-aléatoire de Von Neumann
 *
 * entrée : 
 *    graine du générateur aléatoire
 *
 * sortie :
 *    aucune
 *******************************/
void randSeed(int _n0, int _n1) {
  n0 = _n0;
  n1 = _n1;
}

/********************************
 * générateur pseudo-aléatoire Fibonacci
 *
 * entrée : 
 *    aucune
 *
 * sortie :
 *    nombre non attendu suivant
 *******************************/
int rand() {
  int suiv = (n0 + n1) % M;
  
  n0 = n1;
  n1 = suiv;
  
  return suiv;  
}

void setup() {
  randSeed(23456, 9726);
  
  println(rand());
  println(rand());
}
