// nombre courant pseud-aléatiore
int n = 1111;

/********************************
 * générateur pseudo-aléatoire de Von Neumann
 *
 * entrée : 
 *    graine du générateur aléatoire
 *
 * sortie :
 *    aucune
 *******************************/
void randSeed(int k) {
  n = k;
}

/********************************
 * générateur pseudo-aléatoire de Von Neumann
 *
 * entrée : 
 *    aucune
 *
 * sortie :
 *    nombre non attendu suivant
 *******************************/
int rand() {
  int nbChiffre = int(log(n * n) / log(10));

  n = (n * n) % int(exp(nbChiffre * log(10))) / 10;

  return n;  
}

void setup() {
  randSeed(1111);
  println(rand());
  println(rand());
}
