// nombres courants pseudo-aléatoires
int n ;

// congruence
int M = 1000;
int a = 53;
int c = 97;

/********************************
 * générateur pseudo-aléatoire basée sur la congruence
 *
 * entrée : 
 *    graine du générateur aléatoire
 *
 * sortie :
 *    aucune
 *******************************/
void randSeed(int _n) {
  n = _n;
}

/********************************
 * générateur pseudo-aléatoire basé sur la congruence
 *
 * entrée : 
 *    aucune
 *
 * sortie :
 *    nombre non attendu suivant
 *******************************/
int rand() {
  n = (a * n + c) % M;
  
  return n;  
}

void setup() {
  randSeed(23456);
  
  println(rand());
  println(rand());
}
